Figure - 0 O Dev #113445
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110126 (New): 0 MKO DAFO 000 O
0 O Dev# 110706 (New): 0 MKO O FWO O GameModeD 0 TC-RID: 1201-020480100
0 MKO O FWO O GameModed O TC-RID: 1201-0204803 Game Mode GPU
2022-11-01 14:02 - CD FW-0 0 0

Status: 0 O Closed Start date: 2022-11-01
Priority: Normal Due date:

Assignee: CODFWO OO % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

"OUED O0ODOsS000GPUDO0DOOOODODOODOOOOODOODO OO
000000041400 GPUDD

00000 0O O https://thundersoft.feishu.cn/file/boxcn4WSiuGyviHMRNOXhMSrEaf
0000000000000 https://thundersoft.feishu.cn/file/boxcnjVzEvgG4o3bvrplA7yWChe
00000000 O https://thundersoft.feishu.cn/docx/doxcnkCbTXYb4vXfifbXetgwYxb

Related issues:

Related to Figure - Bug# 115172 O AFO O EVT20 000 O000O0 O OO GPU... CLOSED 2023-01-09 2023-01-18

History

#1-2022-11-0114:11-CDFwW-O0 0O 0O

- Subject changed from 0 MKO O FWO 00 GameMode O TC-RID: 1201-02048010 Game Mode GPU to [0 MKO O FW0O O GameMode[l O TC-RID:

1201-0204803C Game Mode GPU

#2 - 2022-11-07 10:47-CDFW-O0 O O

goooecpPuOOOO
https://thundersoft.feishu.cn/docx/V2UYdvFecolGYhxWFAWCMfCDNsQ

#3-2022-11-1118:13-CDFW-O0 OO
- % Done changed from 0 to 90

00wl d0000000000ooBsPOO

#4 - 2022-11-1414:08-CDFwW-O O O

- Status changed from New to [0 O O In Progress

#5-2022-11-1414:09-CDFW-0O O O
- Status changed from O O O In Progress to 0 O O Pending

#6 - 2022-11-14 14:43-CDFW-0 O O
- Assignee changed from CD FW-0O 0 00 toCDFWO O O

#7 -2022-11-1510:23-CDFWO O O
- Status changed from O O O Pendingto O O O In Progress
https://thundersoft.feishu.cn/file/boxcn4WSiuGyviHMRNOXhMSrEaf
https://thundersoft.feishu.cn/file/boxcnjVzEvgG4o3bvrp1A7yWChe
https://thundersoft.feishu.cn/docx/doxcnkCbTXYb4vXfJfbXetgwYxb
https://thundersoft.feishu.cn/docx/V2UYdvFecoJGYhxWfAWcMfCDnsQ

#8 - 2022-12-22 20:51 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

160962

general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:GameMode:configure gpu prop when Game app launchconfigure sys.gamemode.statusTC-RID: 1201-0204803Issuel D: TS-R-DF-113445Change-1d:
14efcf56cd56493f5ffc7870abc3d38fcad 1a5022

#9 - 2022-12-22 20:51 - CD FW-0 O
Gerrit Merge Information(

1D

Project

Branch

Uploader

160965

general/platform/frameworks/native

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:GameMode:force 2X/4X MSAA when entry game modeneed configure sys.gamemode.status 1need configure sys.egl.force_msaa 2/4TC-RID:
1201-0204803IssuelD: TS-R-DF-113445Change-Id: 1e69d4cc53875cf8422ae98fcf5ec9199cd00adda

#10 - 2022-12-22 20:52 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

161991

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

lingluo.zhou@thundersoft.com

AF:Settings: Modify the fps list in GPU settingsModify the fps list in GPU settings. TC-RID: 1201-0204803Issuel D: TS-R-DF-113445Change-1d:
10b648cd99100432a74819372fbe8abf7b07f04cf

#11 - 2022-12-22 20:52 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

162035

general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

lingluo.zhou@thundersoft.com

AF:GameMode:ADD GPU SettingsADD GPU Settings. TC-RID: 1201-0204803IssuelD: TS-R-DF-113445Change-1d:
139ec501¢2b937718e6bbf5cc53e03¢0e9fh35h75

2025-07-04




#12 - 2022-12-22 20:53 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

162521

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

lingluo.zhou@thundersoft.com

AF:GameMode: Click the switch in settings, the database update field is incorrectTurn off the GPU switch in Settings, and the database does not save the correct
value. TC-RID: 1201-0204803IssuelD: TS-R-DF-113445Change-1d: 14facc4a42e0634d9369603ecc0e4b53c0ce6a03e

#13 - 2022-12-27 20:06 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

172266

general/platform/build/soong

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: Add packages allowed for adjust resolutionAdd com.android.server.thunderperf inpackage_allowed_list.txtTC-RID: 1201-0204803IssuelD:
TS-R-DF-113445Change-Id: 1fe55965c743ece69dd84e021c17flecche49d006

#14 - 2022-12-27 20:06 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

172268

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wujun.wang@thundersoft.com

AF:GameMode: Add service for adjust resolutionAdd service to GameMode use. And adjust resolution by PlatformCompat. TC-RID: 1201-0204803IssuelD:
TS-R-DF-113445Change-Id: 19916bb888ca2aaa7629f7078ed47503c9c65f31c

#15 - 2022-12-27 20:06 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

172264

general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: Adjust resolutionAdd logic to adjust resolution by PlatformCompat. TC-RID: 1201-0204803IssuelD: TS-R-DF-113445Change-Id:
171e1221ac9907a993f1b9058eef4d3670419a9ac

2025-07-04
#16 - 2022-12-27 20:06 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

172276

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: Add SELinux sepolicy for Adjust resolutionAdd thunderperf_service SELinux sepolicyto adjust resolution by PlatformCompat. TC-RID:
1201-0204803Issuel D: TS-R-DF-113445Change-1d: Ifd1c68e05eb484be05644ba8158738438633793¢

#17 - 2023-01-12 16:17 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

176168

general/LINUX/android/vendor/qco
m/proprietary

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:LCD: Support dynamic frame rateSupport 30 45 frame rate dynamic modificationTC-RID: 1201-01005011ssuelD: TS-R-DF-113445Change-1d:
1fac634988435a7145f38842h6a7612eaeabc0e9l

#18 - 2023-01-1310:34-CDFwDO O O

m 0000

gooboooooooooOooooooooooooooooobooooDooo
00o000o0o0o0ooo0oo0o0o0o0o0oo0000000000000000000000dObug O

goooooo

#19 - 2023-01-1310:35-CDFwO O O

- Status changed from O O O In Progress to O O Closed

- % Done changed from 90 to 100

#20 - 2023-10-07 17:36 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

317320

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ca0qg0702@thundersoft.com

AF:GameMode: In the VX1 model, the options for image quality and frame rate are hidden. TC-RID: 1201-0204803IssuelD: TS-R-DF-113445,
I0VDEV-42116Change-1d: 164dd8c4ddf26d6cc99efbd1e3dcc99be056252bh

#21 - 2023-10-12 22:12 - 10T scm

Gerrit Merge Information(]

2025-07-04
1D Project Branch Uploader

319106 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

gs -release_sorp

AF:GameMode: In the VX1 model, the options for image quality and frame rate are hidden. TC-RID: 1201-0204803IssuelD: TS-R-DF-113445,
I0VDEV-42116Change-Id: 164dd8c4ddf26d6cc99efb41e3dccI9be056252bb(cherry picked from commit 5b6de519b7d554f5834bdf83d43dc267e27da000)
